Main (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.app
Class Main

    java.lang.Object
      com.bbn.openmap.app.OpenMap
          com.bbn.openmap.app.Main

Direct Known Subclasses:
  TimeFrameApp

    public class Main

extends OpenMap

A Main application class using the OpenMap framework. This class is like the OpenMap application class except it uses the new OverlayMapPanel instead of the BasicMapPanel. The property prefix used for the properties is "main", so this application is configured based on the main.components property list.

Field Summary

Fields inherited from class com.bbn.openmap.app.OpenMap
`mapPanel`

Constructor Summary
`Main()` Create a new OpenMap framework object - creates a MapPanel, OpenMapFrame, and brings up the layer palettes that are being told to be open at startup.
`Main(PropertyHandler propertyHandler)` Create a new OpenMap framework object - creates a MapPanel, OpenMapFrame, and brings up the layer palettes that are being told to be open at startup.

Method Summary
`protected void` | `configureMapPanel(PropertyHandler propertyHandler)`
`static PropertyHandler` | `configurePropertyHandler(java.lang.String propertiesFile)` Given a path to a properties file, try to configure a PropertyHandler with it.
`static Main` | `create()` Create and return an OpenMap object that uses a standard PropertyHandler to configure itself.
`static Main` | `create(java.lang.String propertiesFile)` Create and return an OpenMap object that uses a standard PropertyHandler to configure itself.
`protected static java.util.logging.Logger` | `getLogger()` get the logger
`static void` | `main(java.lang.String[] args)` A Main OpenMap application.

Methods inherited from class com.bbn.openmap.app.OpenMap
`getMapHandler, getMapPanel, setWindowListenerOnFrame, showInFrame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Main

    public Main()

  Create a new OpenMap framework object - creates a MapPanel, OpenMapFrame, and brings up the layer palettes that are being told to be open at startup. The MapPanel will create a PropertiesHandler that will search for an openmap.properties file.

### Main

    public Main(PropertyHandler propertyHandler)

  Create a new OpenMap framework object - creates a MapPanel, OpenMapFrame, and brings up the layer palettes that are being told to be open at startup. The properties in the PropertyHandler will be used to configure the application. PropertyHandler may be null.

Method Detail

### configureMapPanel

    protected void configureMapPanel(PropertyHandler propertyHandler)

  Overrides:
    `configureMapPanel` in class `OpenMap`

### configurePropertyHandler

    public static PropertyHandler configurePropertyHandler(java.lang.String propertiesFile)

  Given a path to a properties file, try to configure a PropertyHandler with it. If the properties file is not valid, the returned PropertyHandler will look for the openmap.properties file in the classpath and the user's home directory.

  Parameters:
    `propertiesFile` - path to properties file
  Returns:
    new PropertyHandler

### create

    public static Main create()

  Create and return an OpenMap object that uses a standard PropertyHandler to configure itself. The OpenMap object has a MapHandler that you can use to gain access to all the components.

  Returns:
    Main, extending OpenMap
  See Also:
    `OpenMap.getMapHandler()`

### create

    public static Main create(java.lang.String propertiesFile)

  Create and return an OpenMap object that uses a standard PropertyHandler to configure itself. The OpenMap object has a MapHandler that you can use to gain access to all the components.

  Parameters:
    `propertiesFile` - path to properties file
  Returns:
    Main, extending OpenMap
  See Also:
    `OpenMap.getMapHandler()`

### main

    public static void main(java.lang.String[] args)

  A Main OpenMap application.

### getLogger

    protected static java.util.logging.Logger getLogger()

  get the logger

  Returns:
    Logger for Main.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details